
%ext ck2
 
%version 1.0
%patchfile 0x17938 k2.tli

%version 1.31
%patchfile 0x17828 k2.tli

# TextFiles
%patchfile 0x15BC0 HELPTEXT.CK2
%patchfile 0x16AC0 STORYTXT.CK2
%patchfile $15840 ENDTEXT.CK2

# Prevent the guard robot from shooting (though it'll still pause) 

%patch $463E $90 $90 $90 

# The title bitmap will be shown at offset 0,0 
%patch $9233   $00 $00     # Y location, in pixels 
%patch $9237   $04 $00     # (X location in pixels) / 8 + 4 

# border color (light blue)
%patch $319C   $39 
%patch $77C6   $39 
%patch $19BF8  $39 
%patch $19C09  $39 
%patch $19C1A  $39 
%patch $19C2B  $39 

#space bar status menu changes
%patch 0x00019930 "LIFE"           # = "KEEN" in "EXTRA KEEN AT"
%patch 0x00019941 "LIVES"          # = "KEENS" for "KEENS LEFT"
%patch 0x00019952 "N.STUN"         # = "PISTOL"
%patch 0x00019967 "Fuses Broekn "  # = "TARGETS SAVED"
%patch 0x000199aa 0x00 "1     " 0x00 "2    " 0x00 "3     " 0x00 "6       " 0x00 "7   " 0x00 "8   " 0x00 "4     " 0x00 "5      " 0x00
# = "LONDON" "CAIRO" "SYDNEY" "NEW YORK" "PARIS" "ROME" "MOSCOW" "WASH D.C."

# About ID Screen:
%patch 0x0001a754 "Ceilick is currently working on a "
%patch 0x0001a77c "Keen 1 mod called    "
%patch 0x0001a7a4 "Perilous Pursuit. Its almost  "
%patch 0x0001a7cc "complete!           "
%patch 0x0001a7f4 "Ceilick has also been doing some"
%patch 0x0001a81c "stuff with keen 4, and will"
%patch 0x0001a844 "possibly be modding that  "
%patch 0x0001a86c "too!                    "
%patch 0x0001a894 "And Ceilick is going to make "
%patch 0x0001a8bc "Decree of the Skree 3, which will"
%patch 0x0001a8e4 "be a keen 3 mod.         "


# ENDING SEQUENCE (always a pain in the neck) 

#Finale
%patch $1A1A1 "Keen has destroyed the Zot!    "
%patch $1A1C2 "The fuses are broken and the  "
%patch $1A1E2 "Clones are ruined, but wait!"
%patch $1A200 "KEEN IS STILL ON THE ZOT!    "
%patch $1A21F "Acting quickly he jumps  "
%patch $1A23A "into an escape pod!     "

%patch $1A253 "But what's this, the pod is "
%patch $1A271 "piloting itself! It's headed "
%patch $1A292 "for the Skree's homeworld,  "
%patch $1A2B0 "known as the M Dimension. "
%patch $1A2CC "What will Keen do?!?!         "

%patch $1A2F7 "Keen crawled out of"
%patch $1A30C "the pod, what an  "
%patch $1A320 "odd place he is in"

%patch $1A333 "All of a sudden, Keen is"
%patch $1A34D "surrounded by the evil  "
%patch $1A367 "Skree. It is the "
%patch $1A37A "only one left, the "
%patch $1A38F "only clone to survive,"
%patch $1A3A7 "said one of them.   "
%patch $1A3BD "          "

%patch $1A3C9 "They think keen is"
%patch $1A3DD "a ... Clone! Keen has a "
%patch $1A3F7 "plan. Will the Skree  "
%patch $1A40F "fall for it?            "

%patch $1A429 "          "

%patch 0x0001a434 "   -- THE END --   " 0x00
#                  TO BE CONTINUED...." 0x00




%end
